package com.yunfeiyun.agmp.fms.domain;

import com.yunfeiyun.agmp.common.annotation.Excel;
import com.yunfeiyun.agmp.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 作物虫害对象 FmsCropcalarm
 * 
 * @author 杨晓辉
 * @date 2023-06-14
 */
public class FmsCropcalarm extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 关系标识 */
    private String cropcalarmId;

    /** 病虫害标识 */
    @Excel(name = "病虫害标识")
    private String calarmId;

    /** 作物名称 */
    @Excel(name = "作物名称")
    private String cropName;

    public void setCropcalarmId(String cropcalarmId)
    {
        this.cropcalarmId = cropcalarmId;
    }

    public String getCropcalarmId()
    {
        return cropcalarmId;
    }
    public void setCalarmId(String calarmId)
    {
        this.calarmId = calarmId;
    }

    public String getCalarmId()
    {
        return calarmId;
    }
    public void setCropName(String cropName)
    {
        this.cropName = cropName;
    }

    public String getCropName()
    {
        return cropName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("cropcalarmId", getCropcalarmId())
            .append("calarmId", getCalarmId())
            .append("cropName", getCropName())
            .toString();
    }
}
